import { jsx } from "react/jsx-runtime";
import { TokenMELD as TokenMELD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMELD = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MELD", "data-name": "TokenMELD", ...props, children: /* @__PURE__ */ jsx(TokenMELD$1, { variant }) });
  }
);
TokenMELD.displayName = "TokenMELD";
Object.assign(TokenMELD, { isGdsIcon: true });
export {
  TokenMELD
};
